import { readFile, writeFile } from "./src/astCompiler/handleFile.js";
import { Modifier } from "./src/astCompiler/modify.js";


export function compile(inputPath, dataObj) {
  const [file, err] = readFile(inputPath);
  const result =  {
    output : err,
    write(path) {
      const [_, err] = writeFile(path, modifiedOutput);
      if (err) console.error(err);
    },
  };
  if (err) console.log(err);
  else {
    const modifier = new Modifier(file, dataObj);
    result.output = modifier.modify();
  }
  return result  
}

export const html_renderer = (req, res, next) => {
  res.html = (filePath, object) => {
    res.status(200);
    const {output} = compile(filePath, object);
    res.send(output);
  };
  next();
};

